from parallels.core.utils.entity import Entity


class ServiceInstance(Entity):
    def __init__(self, service_instance_id, service_provider_id, external_id, description):
        self._service_instance_id = service_instance_id
        self._service_provider_id = service_provider_id
        self._external_id = external_id
        self._description = description

    @property
    def service_instance_id(self):
        """
        :rtype: str | unicode
        """
        return self._service_instance_id

    @property
    def service_provider_id(self):
        """
        :rtype: str | unicode
        """
        return self._service_provider_id

    @property
    def external_id(self):
        """
        :rtype: str | unicode
        """
        return self._external_id

    @property
    def description(self):
        """
        :rtype: str | unicode
        """
        return self._description
